%if 0%{?fedora} > 12
%global with_python3 1
%endif

%global srcname DyNS

Name:		dyns
Version:	0.1
Release:	1%{?dist}
Summary:	Web UI for dynamic nameserver using BIND DLZ/PostgreSQL
Vendor:		Dustin C. Hatch
License:	GPLv3+
URL:		https://bitbucket.org/AdmiralNemo/%{name}
Source0:	https://bitbucket.org/AdmiralNemo/%{name}/downloads/%{srcname}-%{version}.tar.bz2

BuildRequires:	python-setuptools

%if 0%{?with_python3}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%endif

Requires:	python-jinja2
Requires:	python-milla
Requires:	python-psycopg2
Requires:	python-sqlalchemy

BuildArch:	noarch

%description
%{summary}.

%if 0%{?with_python3}
%package python3
Summary:	Web UI for dynamic nameserver using BIND DLZ/PostgreSQL
Requires:	python3-jinja2
Requires:	python3-milla
Requires:	python3-psycopg2
Requires:	python3-sqlalchemy

%description python3
%{summary}.

This package includes the python 3 version of the module.
%endif

%clean
rm -rf %{buildroot}


%prep
%setup -q -n %{srcname}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
rm -rf %{buildroot}

%{__python} setup.py install --skip-build --root=%{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

cat > dyns.wsgi <<EOF
# Example WSGI script for DyNS
import dyns
import os

dyns_config = '%{_sysconfdir}/dyns.conf'
if not os.path.exists(dyns_config):
    dyns_config = None

application = dyns.make_app(filename=dyns_config)
EOF
%{__install} -d %{buildroot}%{_datadir}/%{name}
%{__install} -m644 dyns.wsgi bind-dlz-schema.sql \
	%{buildroot}%{_datadir}/%{name}/


%files
%{python_sitelib}/*
%doc %{_datadir}/%{name}

%if 0%{?with_python3}
%files python3
%{python3_sitelib}/*
%doc %{_datadir}/%{name}
%endif


%changelog
* Thu Feb 19 2015 Dustin C. Hatch <dustin@hatch.name> 0.1-1
- New spec for dyns
